Skip to main content
GET
/
v1
/
voiceai
/
knowledge-base
/
rag-index
Get Rag Index Overview.
curl --request GET \
  --url https://api.example.com/v1/voiceai/knowledge-base/rag-index \
  --header 'x-api-key: <api-key>'
{
  "total_used_bytes": 123,
  "total_max_bytes": 123,
  "models": [
    {
      "model": "e5_mistral_7b_instruct",
      "used_bytes": 123
    }
  ]
}

Authorizations

x-api-key
string
header
required

API key for programmatic access

Response

200 - application/json

Successful Response

Response model for GET /rag-index endpoint. Provides total size and other information of RAG indexes.

total_used_bytes
integer
required

Total bytes used

total_max_bytes
integer
required

Maximum bytes allowed

models
RAGIndexOverviewEmbeddingModelResponseModel · object[]
required

Usage per model